import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.imageio.ImageIO;
import java.io.*;
import java.lang.*;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;

public class HaikuCheckerGUI extends Frame implements ActionListener{
	public Frame frm, frm2;
	public Panel panel;
	public TextArea ta;
	public TextArea output;
	public Label label;
	public Button checkButton;
	
	public static void main (String arg[]){
		HaikuCheckerGUI hcg = new HaikuCheckerGUI();	
	}
	
	public HaikuCheckerGUI(){
		frm= new Frame("Haiku Checker");
		panel = new Panel();
		frm.setSize(320, 550);
		frm.setBackground (Color.lightGray);
		label = new Label(" --- ");
		ta = new TextArea("", 5, 30, TextArea.SCROLLBARS_NONE);
		output = new TextArea("", 20, 30, TextArea.SCROLLBARS_NONE);
		checkButton = new Button("Check Haiku");
		checkButton.addActionListener(this);
		
		panel.add(ta);
		panel.add(checkButton);
		panel.add(output);
		frm.add(panel);
		frm.setVisible(true);
	}
	
	public void showStatus(){
		output.setText("");
		int k = HaikuChecker.countString(ta.getText(), output);	
	}
	
	
	public void actionPerformed(ActionEvent event){
		Object source = event.getSource();
		if (source == checkButton){
			showStatus();
		}
	}
}